net.sf.jasperreports.engine.design

## Class JRDesignConditionalStyle

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseStyle
  - - net.sf.jasperreports.engine.base.JRBaseConditionalStyle
    - - net.sf.jasperreports.engine.design.JRDesignConditionalStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRConditionalStyle, JRParagraphContainer, JRPenContainer, JRStyle, JRStyleContainer

      public class JRDesignConditionalStyle
      extends JRBaseConditionalStyle

  Version:
    $Id: JRDesignConditionalStyle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CONDITION_EXPRESSION`
    `static java.lang.String` | `PROPERTY_PARENT_STYLE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseConditionalStyle

      `conditionExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `backcolor, conditionalStyles, defaultStyleProvider, fillValue, fontName, fontsize, forecolor, horizontalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, linePen, markup, modeValue, name, paragraph, parentStyle, parentStyleNameReference, pattern, pdfEncoding, pdfFontName, positionType, PROPERTY_BACKCOLOR, PROPERTY_BLANK_WHEN_NULL, PROPERTY_BOLD, PROPERTY_FILL, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_FORECOLOR, PROPERTY_HORIZONTAL_ALIGNMENT, PROPERTY_ITALIC, PROPERTY_LINE_SPACING, PROPERTY_MARKUP, PROPERTY_MODE, PROPERTY_PATTERN, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_RADIUS, PROPERTY_ROTATION, PROPERTY_SCALE_IMAGE, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, PROPERTY_VERTICAL_ALIGNMENT, radius, rotationValue, scaleImageValue, stretchType, verticalAlignmentValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRStyle

      `PROPERTY_EVALUATION_TIME_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignConditionalStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setConditionExpression(JRExpression conditionExpression)`
    `void` | `setParentStyle(JRStyle parentStyle)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseConditionalStyle

      `clone, getConditionExpression, getHashCode, isIdentical`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `addStyleHash, checkCircularParent, getBackcolor, getConditionalStyles, getDefaultLineColor, getDefaultLineWidth, getDefaultStyleProvider, getEventSupport, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getParagraph, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getStyle, getStyleNameReference, getVerticalAlignmentValue, identicalStyle, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, rename, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyle

      `getBackcolor, getConditionalStyles, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### PROPERTY_CONDITION_EXPRESSION

          public static final java.lang.String PROPERTY_CONDITION_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_PARENT_STYLE

          public static final java.lang.String PROPERTY_PARENT_STYLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignConditionalStyle

          public JRDesignConditionalStyle()

  - ### Method Detail

    - #### setConditionExpression

          public void setConditionExpression(JRExpression conditionExpression)

    - #### setParentStyle

          public void setParentStyle(JRStyle parentStyle)

      Overrides:
        `setParentStyle` in class `JRBaseStyle`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com